Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.protocols
Class STOMP.StompHeader

    java.lang.Object
      org.jgroups.Header
          org.jgroups.protocols.STOMP.StompHeader

All Implemented Interfaces:
  Streamable

Enclosing class:
  STOMP

    public static class STOMP.StompHeader

extends Header

Nested Class Summary
`static class` | `STOMP.StompHeader.Type`

Field Summary
`protected java.util.Map<java.lang.String,java.lang.String>` | `headers`
`protected STOMP.StompHeader.Type` | `type`

Constructor Summary
`STOMP.StompHeader()`

Method Summary
`static STOMP.StompHeader` | `createHeader(STOMP.StompHeader.Type type, java.util.Map<java.lang.String,java.lang.String> headers)`
`static STOMP.StompHeader` | `createHeader(STOMP.StompHeader.Type type, java.lang.String... headers)` Creates a new header
`void` | `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
`int` | `size()` To be implemented by subclasses.
`java.lang.String` | `toString()`
`void` | `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    protected STOMP.StompHeader.Type type

### headers

    protected final java.util.Map<java.lang.String,java.lang.String> headers

Constructor Detail

### STOMP.StompHeader

    public STOMP.StompHeader()

Method Detail

### createHeader

    public static STOMP.StompHeader createHeader(STOMP.StompHeader.Type type,
                                                 java.lang.String... headers)

  Creates a new header

  Parameters:
    `type` -
    `headers` - Keys and values to be added to the header hashmap. Needs to be an even number
  Returns:

### createHeader

    public static STOMP.StompHeader createHeader(STOMP.StompHeader.Type type,
                                                 java.util.Map<java.lang.String,java.lang.String> headers)

### size

    public int size()

  Description copied from class: `Header`
  To be implemented by subclasses. Return the size of this object for the serialized version of it. I.e. how many bytes this object takes when flattened into a buffer. This may be different for each instance, or can be the same. This may also just be an estimation. E.g. FRAG uses it on Message to determine whether or not to fragment the message. Fragmentation itself will be accurate, because the entire message will actually be serialized into a byte buffer, so we can determine the exact size.

  Specified by:
    `size` in class `Header`

### writeTo

    public void writeTo(java.io.DataOutputStream out)
                 throws java.io.IOException

  Description copied from interface: `Streamable`
  Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed

  Throws:
    `java.io.IOException`

### readFrom

    public void readFrom(java.io.DataInputStream in)
                  throws java.io.IOException,
                         java.lang.IllegalAccessException,
                         java.lang.InstantiationException

  Description copied from interface: `Streamable`
  Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed

  Throws:
    `java.io.IOException`
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Header`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.